- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KRatExpToken Class Template Reference
[Series]

Schrödinger's token for rational expression lexing. More...

List of all members.

## Classes
struct | token
| Simple token. More...

## Detailed Description

### template<class MonoidValue, class SemiringEltValue>
class vcsn::algebra::KRatExpToken< MonoidValue, SemiringEltValue >

Schrödinger's token for rational expression lexing.

Tokens are ambiguous. For example, '1' could be interpreted both as a weight and as the empty word. So we assume that each possible token is in fact part of the *same* token. This is the Schrödinger's token this class represents.

See also:
  `KRatExpToken::token`, token_e

Definition at line 77 of file krat_exp_parser.hxx.